#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,m;
    cin>>n>>m;
    vector<pair<int,int> a(n);
    for(int i=0; i<n; i++){
        cin>>a[i].first<<a[i].second;
    }
    vector<pair<int,int> b(m);
    for(int i=0;i<m; i++){
        int x;
        cin>>b[i].first>>b[i].second>>x;
    }
    int odg[m];
    for(int i=0; i<m; i++){
        for(int j=b[i].first; j<=b[i].second; j++){
            if(x == a[i].first && x == a[i].second){
                odg[i]++;
            }
        }
    }
    for(int i=0; i<m; i++){
        cout<<odg[i]<<endl;
    }
}